org.apache.tinkerpop.gremlin.tinkergraph.structure

## Class TinkerGraph.TinkerGraphGraphFeatures

- java.lang.Object
- - org.apache.tinkerpop.gremlin.tinkergraph.structure.TinkerGraph.TinkerGraphGraphFeatures

- All Implemented Interfaces:
    Graph.Features.FeatureSet, Graph.Features.GraphFeatures
  Enclosing class:
    TinkerGraph

      public class TinkerGraph.TinkerGraphGraphFeatures
      extends Object
      implements Graph.Features.GraphFeatures

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.GraphFeatures

      `FEATURE_COMPUTER, FEATURE_CONCURRENT_ACCESS, FEATURE_IO_READ, FEATURE_IO_WRITE, FEATURE_PERSISTENCE, FEATURE_THREADED_TRANSACTIONS, FEATURE_TRANSACTIONS`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supportsConcurrentAccess()` Determines if the `Graph` implementation supports more than one connection to the same instance at the same time.
    `boolean` | `supportsThreadedTransactions()` Determines if the `Graph` implementation supports threaded transactions which allow a transaction to be executed across multiple threads via `Transaction.createThreadedTx()`.
    `boolean` | `supportsTransactions()` Determines if the `Graph` implementations supports transactions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.GraphFeatures

      `supportsComputer, supportsIoRead, supportsIoWrite, supportsPersistence, variables`

- - ### Method Detail

    - #### supportsConcurrentAccess

          public boolean supportsConcurrentAccess()

      Description copied from interface: `Graph.Features.GraphFeatures`
      Determines if the `Graph` implementation supports more than one connection to the same instance at the same time. For example, Neo4j embedded does not support this feature because concurrent access to the same database files by multiple instances is not possible. However, Neo4j HA could support this feature as each new `Graph` instance coordinates with the Neo4j cluster allowing multiple instances to operate on the same database.
      Specified by:
        `supportsConcurrentAccess` in interface `Graph.Features.GraphFeatures`

    - #### supportsTransactions

          public boolean supportsTransactions()

      Description copied from interface: `Graph.Features.GraphFeatures`
      Determines if the `Graph` implementations supports transactions.
      Specified by:
        `supportsTransactions` in interface `Graph.Features.GraphFeatures`

    - #### supportsThreadedTransactions

          public boolean supportsThreadedTransactions()

      Description copied from interface: `Graph.Features.GraphFeatures`
      Determines if the `Graph` implementation supports threaded transactions which allow a transaction to be executed across multiple threads via `Transaction.createThreadedTx()`.
      Specified by:
        `supportsThreadedTransactions` in interface `Graph.Features.GraphFeatures`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.